package thyyxxk.webserver.service.ybkf;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import thyyxxk.webserver.dao.his.ybkf.YbUtilDao;
import thyyxxk.webserver.entity.ResultVo;
import thyyxxk.webserver.utils.ResultVoUtil;

import java.util.List;
import java.util.Map;

/**
 * @ClassName YbUtilService
 * @Description 医保报表统计工具类
 * @Author hsh
 * @Date 2022/8/9 16:24
 **/
@Service
public class YbUtilService {

    private final YbUtilDao dao;

    @Autowired
    public YbUtilService(YbUtilDao dao) {
        this.dao = dao;
    }

    public ResultVo<List<Map<String, Object>>> selectSmallDept(Map<String, String> map) {
        String str = map.get("str");
        List<Map<String, Object>> list = dao.selectSmallDept(str);
        return ResultVoUtil.success(list);
    }

    public ResultVo<List<Map<String, Object>>> selectDoctor(Map<String, String> map) {
        String str = map.get("str");
        List<Map<String, Object>> list = dao.selectDoctor(str);
        return ResultVoUtil.success(list);
    }


}
